# $Revision: 1.14 $, $Date: 2006/05/31 12:54:44 $
%define		ocaml_ver	1:3.09.2
Summary:	Cryptographic toolkit for OCaml
Summary(pl):	Biblioteka kryptograficzna dla OCamla
Name:		ocaml-cryptokit
Version:	1.3
Release:	5
License:	LGPL w/ linking exceptions
Group:		Libraries
URL:		http://pauillac.inria.fr/~xleroy/software.html
Source0:	http://caml.inria.fr/distrib/bazar-ocaml/cryptokit-%{version}.tar.gz
# Source0-md5:	d7de01d0702d16b3491c9e794ebb2cc3
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	zlib-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Cryptokit library for Objective Caml provides a variety of
cryptographic primitives that can be used to implement cryptographic
protocols in security-sensitive applications. The primitives provided
include: symmetric-key cryptography: AES, DES, Triple-DES, ARCfour, in
ECB, CBC, CFB and OFB modes; public-key cryptography: RSA; hash
functions and MACs: SHA-1, MD5, and MACs based on AES and DES; random
number generation; encodings and compression: base 64, hexadecimal,
Zlib compression.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
Biblioteka Cryptokit dostarcza szerok gam funkcji kryptograficznych,
ktre mog by uyte w implementacji protokow kryptograficznych w
aplikacjach, dla ktrych wane jest bezpieczestwo. Dostarczane
funkcje to: szyfry symetryczne: AES, DES, 3DES, ARCFour w trybach ECB,
CBC, CFB oraz OFB; szyfr z kluczem publicznym RSA; kryptograficzne
funkcje skrtu i MACi: SHA-1, MD5 oraz MACi bazowane na AES oraz DES;
generacje liczb losowych; kodowania i kompresja: base 64, szesnastkowa
oraz zlib.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	Cryptographic toolkit for OCaml - development part
Summary(pl):	Biblioteka kryptograficzna dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
The Cryptokit library for Objective Caml provides a variety of
cryptographic primitives that can be used to implement cryptographic
protocols in security-sensitive applications. The primitives provided
include: symmetric-key cryptography: AES, DES, Triple-DES, ARCfour, in
ECB, CBC, CFB and OFB modes; public-key cryptography: RSA; hash
functions and MACs: SHA-1, MD5, and MACs based on AES and DES; random
number generation; encodings and compression: base 64, hexadecimal,
Zlib compression.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Biblioteka Cryptokit dostarcza szerok gam funkcji kryptograficznych,
ktre mog by uyte w implementacji protokow kryptograficznych w
aplikacjach, dla ktrych wane jest bezpieczestwo. Dostarczane
funkcje to: szyfry symetryczne: AES, DES, 3DES, ARCFour w trybach ECB,
CBC, CFB oraz OFB; szyfr z kluczem publicznym RSA; kryptograficzne
funkcje skrtu i MACi: SHA-1, MD5 oraz MACi bazowane na AES oraz DES;
generacje liczb losowych; kodowania i kompresja: base 64, szesnastkowa
oraz zlib.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n cryptokit-%{version}

%build
%{__make} CFLAGS="%{rpmcflags} -fPIC" all allopt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/cryptokit
%{__make} install INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/cryptokit

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/cryptokit
install *.cm[ixa]* *.a dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/cryptokit
(cd $RPM_BUILD_ROOT%{_libdir}/ocaml && ln -s cryptokit/dll*.so .)

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r *test.ml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/cryptokit
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/cryptokit/META <<EOF
requires = "unix num"
version = "%{version}"
directory = "+cryptokit"
archive(byte) = "cryptokit.cma"
archive(native) = "cryptokit.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/cryptokit
%attr(755,root,root) %{_libdir}/ocaml/cryptokit/*.so
%{_libdir}/ocaml/*.so

%files devel
%defattr(644,root,root,755)
%doc LICENSE README doc
%{_libdir}/ocaml/cryptokit/*.cm[ixa]*
%{_libdir}/ocaml/cryptokit/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/cryptokit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-cryptokit.spec,v $
Revision 1.14  2006/05/31 12:54:44  glen
- rel 5 (rebuild with ocaml-3.09.2)

Revision 1.13  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.12  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.11  2005/12/10 18:39:26  baggins
- release 2 for ocaml 3.09.0

Revision 1.10  2005/10/11 19:29:55  paszczus
- updated to 1.3

Revision 1.9  2005/05/21 17:04:56  ankry
- rel. 3

Revision 1.8  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.7  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.6  2003/07/25 09:02:05  wiget
- updated to 1.2

Revision 1.5  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/08/18 15:33:23  blues
- release 2 - license fix, new doc

Revision 1.1  2002/05/13 11:12:50  malekith
- initial; from scratch

